Package: org.apache.groovy.metaclass

## [Java] Class Realm

- org.apache.groovy.metaclass.Realm

-     @Incubating
      public final class Realm
      extends Object

  A Realm is the representation of a metaclass layer in a tree of realm objects.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected MetaClassConstant<?>` | `computeValue(Class<?> type)`
    `<T>` | `public MetaClass<T>` | `getMetaClass(Class<T> theClass)`
    `` | `public static Realm` | `newRealm(String name, Realm parent)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      @SuppressWarnings("unchecked")
      protected MetaClassConstant<?> computeValue(Class<?> type)

    - #### <T> public MetaClass<T> getMetaClass(Class<T> theClass)

    - #### public static Realm newRealm(String name, Realm parent)

    - #### @Override
      public String toString()